"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IDL = void 0;
exports.IDL = {
    "version": "0.1.0",
    "name": "bridge",
    "instructions": [
        {
            "name": "initializeBridgeV0",
            "accounts": [
                {
                    "name": "bridge",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "payer",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "mint",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "systemProgram",
                    "isMut": false,
                    "isSigner": false
                }
            ],
            "args": [
                {
                    "name": "args",
                    "type": {
                        "defined": "InitializeBridgeArgsV0"
                    }
                }
            ]
        },
        {
            "name": "bridgeMintRndrV0",
            "accounts": [
                {
                    "name": "transfer",
                    "isMut": true,
                    "isSigner": false,
                    "pda": {
                        "seeds": [
                            {
                                "kind": "const",
                                "type": "string",
                                "value": "bridge_transfer"
                            },
                            {
                                "kind": "arg",
                                "type": {
                                    "defined": "BridgeMintRndrArgsV0"
                                },
                                "path": "args.eth_addr"
                            }
                        ]
                    }
                },
                {
                    "name": "bridge",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "rewardsDistributorProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "mint",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "systemProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "tokenProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "circuitBreakerProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "payer",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "bridgeEscrow",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "to",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "associatedTokenProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "signer",
                    "isMut": false,
                    "isSigner": true
                }
            ],
            "args": [
                {
                    "name": "args",
                    "type": {
                        "defined": "BridgeMintRndrArgsV0"
                    }
                }
            ]
        },
        {
            "name": "deleteBridgeV0",
            "accounts": [
                {
                    "name": "bridge",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "receiver",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "payer",
                    "isMut": false,
                    "isSigner": true
                }
            ],
            "args": []
        }
    ],
    "accounts": [
        {
            "name": "bridgeTransferV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "ethAddr",
                        "type": "publicKey"
                    },
                    {
                        "name": "solAddr",
                        "type": "publicKey"
                    },
                    {
                        "name": "amount",
                        "type": "u64"
                    },
                    {
                        "name": "bump",
                        "type": "u8"
                    }
                ]
            }
        },
        {
            "name": "bridgeV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "authority",
                        "type": "publicKey"
                    },
                    {
                        "name": "bump",
                        "type": "u8"
                    }
                ]
            }
        }
    ],
    "types": [
        {
            "name": "BridgeMintRndrArgsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "ethAddr",
                        "type": "publicKey"
                    },
                    {
                        "name": "amount",
                        "type": "u64"
                    }
                ]
            }
        },
        {
            "name": "InitializeBridgeArgsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "authority",
                        "type": "publicKey"
                    }
                ]
            }
        }
    ]
};
//# sourceMappingURL=bridge.js.map